package com.zcloud.mapper.datasource.risk;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;

/**
 * 说明：辨识部位
 * 作者：luoxiaobao
 * 时间：2020-12-30
 * 官网：www.zcloudchina.com
 */
public interface IdentificationPartsMapper{

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	void save(PageData pd);

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	void delete(PageData pd);

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	void edit(PageData pd);

	/**修改匹配资源库状态
	 * @param pd
	 * @throws Exception
	 */
	void editMatching(PageData pd);

	/**列表
	 * @param page
	 * @throws Exception
	 */
	List<PageData> datalistPage(Page page);

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAll(PageData pd);
	List<PageData> listOut(PageData pd);

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAllByIdens(PageData pd);

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAllByList(PageData pd);

	/**列表(首页)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listIndexAll(PageData pd);

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	PageData findById(PageData pd);

	/**通过名称获取数据
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> findByName(PageData pd);

	/**获取BI统计数据
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> getBiCount(PageData pd);

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	void deleteAll(String[] ArrayDATA_IDS);

}

